Pre-Development - Bug #19106

FE - React - Org profile view cancel wrong behaviour
07 December 2023 02:00 PM - chok yee fan

Status: Closed Start date: 07 December 2023
Priority: Normal Due date:

Assignee: chok yee fan % Done: 100%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour
Description

issue

org profile search -> view record -> modify -> cancel -> prompt ok or cancel -> cancel -> navigate back to search.

expected

org profile search -> view record -> modify -> cancel -> prompt ok or cancel -> cancel -> stay.

History

#1 - 08 December 2023 11:38 AM - Amirul Umar Pandai
- Status changed from New to Resolved

- % Done changed from 0 to 100

Cancel behaviour is committed now, please check.

#2 - 12 December 2023 01:30 PM - Amirul Umar Pandai

- Assignee changed from Amirul Umar Pandai to chok yee fan

- re-populate form on language change (#19075, organisation profile + user role page only)
- fix org profile view cancel behaviour (#19106)

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/966508fdc788fb2f6eef2cfaaed8b11f7a9a0854

#3 - 12 December 2023 01:47 PM - chok yee fan
- Status changed from Resolved to Assigned

- Assignee changed from chok yee fan to Amirul Umar Pandai

issue still the same, no fix at all.

issue

org profile search -> view record -> modify -> cancel -> prompt ok or cancel -> click cancel -> navigate back to search.
expected

org profile search -> view record -> modify -> cancel -> prompt ok or cancel -> click cancel -> stay.
https://dev.silverlakemobility.com/redmine/issues/19075
https://dev.silverlakemobility.com/redmine/issues/19106
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/966508fdc788fb2f6eef2cfaaed8b11f7a9a0854

#4 - 15 December 2023 04:07 PM - Amirul Umar Pandai

- Assignee changed from Amirul Umar Pandai to chok yee fan

- fix org profile form cancel behaviour

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/13146¢c74d7bdac96f85599f5bcb0898705¢5567 1

#5 - 18 December 2023 11:26 AM - chok yee fan
- File Screenshot 2023-12-18 at 11.26.08 AM.png added
- Status changed from Assigned to Feedback

- Assignee changed from chok yee fan to Amirul Umar Pandai

nothing happen when click Modify button

#6 - 19 December 2023 04:36 PM - Amirul Umar Pandai

- Assignee changed from Amirul Umar Pandai to chok yee fan

- fix org profile modify button does nothing
- move usePrompt hook to own file
- re-organise org profile + user role code

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/b3c05da00efe3b92cf2c23f8f4 1 34dfdcd251bb2

#7 - 02 January 2024 03:56 PM - chok yee fan

- Assignee changed from chok yee fan to Amirul Umar Pandai

use <FormProvider passing hookForm into child.
refer UserProfileTab

#8 - 03 January 2024 02:59 PM - Amirul Umar Pandai

- Assignee changed from Amirul Umar Pandai to chok yee fan

- delete content-tab + hg-tab from org profile
- put FormContainer for org profile tab
- checkbox tree column filter + collapsed by default

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/3583dc9b0f14fbb88991b43783e02576c5d3c4at

#9 - 04 January 2024 05:08 PM - chok yee fan

- Assignee changed from chok yee fan to Amirul Umar Pandai

no function when click modify button
expected

should function when click modify button

20 April 2025 2/4


https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/13146c74d7bdac96f85599f5bcb0898705c55671
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/b3c05da00efe3b92cf2c23f8f4134dfdcd251bb2
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/3583dc9b0f14fbb88991b43783e02576c5d3c4a1

#10 - 04 January 2024 06:01 PM - chok yee fan
- File Screenshot 2024-01-04 at 5.50.27 PM.png added

Search org profile -> click link from table -> view org profile
1. not using /api/organisationWs/dataEntryForm to populate the dropdown value and other info.
2. call multiple times on searchForm

expected

1. use /api/organisationWs/dataEntryForm to populate the dropdown value and other info.
2. should not call multiple times on searchForm

we standard to use /dataEntryForm to populate dropdown value instead of /viewAction

#11 - 05 January 2024 05:29 PM - Amirul Umar Pandai

- Assignee changed from Amirul Umar Pandai to chok yee fan

Extra call to searchForm was actually to departmentWs by department tab together with all organisation profile tabs, all without clicking the tab. This
is now changed to only mount when clicking department tab.

Call dataEntryForm on modify + prevent multiple call to searchForm on navigate:
- Organisation Profile

- Department (Tab)

- User Role

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/e6230171c29472b2ac21e629df2cb0114e42c23¢c

#12 - 08 January 2024 02:52 PM - chok yee fan
- File Screenshot 2024-01-08 at 2.51.56 PM.png added

- Assignee changed from chok yee fan to Amirul Umar Pandai

Search org profile -> click link from table -> view org profile
1. not using /api/organisationWs/dataEntryForm to populate the dropdown value and other info.

expected

1. use /api/organisationWs/dataEntryForm to populate the dropdown value and other info.
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/e6230171c29472b2ac21e629df2cb0114e42c23c

#13 - 09 January 2024 01:40 PM - Amirul Umar Pandai

- Assignee changed from Amirul Umar Pandai to chok yee fan

Trigger dataEntryForm for all form modes:
- Organisation Profile

- Department (Tab)

- User Role

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/d2a1bf39cb56770bc5736e651bd1637236627a98

#14 - 15 January 2024 04:14 PM - chok yee fan
- Status changed from Feedback to Closed

tested ok

Files

Screenshot 2023-12-18 at 11.26.08 AM.png 324 KB 18 December 2023 chok yee fan
Screenshot 2024-01-04 at 5.50.27 PM.png 427 KB 04 January 2024 chok yee fan
Screenshot 2024-01-08 at 2.51.56 PM.png 501 KB 08 January 2024 chok yee fan
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/d2a1bf39cb56770bc5736e651bd1637236627a98
